{
  config,
  pkgs,
  inputs,
  ...
}:
{
  imports = [
    ./hardware-configuration.nix

    "${inputs.self}/modules/mizukios/base"
    "${inputs.self}/modules/mizukios/features/system/boot.nix"
    "${inputs.self}/modules/mizukios/features/fonts.nix"
    "${inputs.self}/modules/mizukios/features/plasma.nix"
    "${inputs.self}/modules/mizukios/features/system/sound.nix"
    "${inputs.self}/modules/mizukios/features/packages.nix"
    "${inputs.self}/modules/mizukios/features/catppuccin.nix"
    "${inputs.self}/modules/mizukios/features/figma-agent.nix"
    "${inputs.self}/modules/mizukios/features/system/sbctl.nix"
    "${inputs.self}/modules/mizukios/features/system/grub-standalone.nix"
    "${inputs.self}/modules/mizukios/features/system/virtualisation.nix"
    "${inputs.self}/modules/mizukios/features/management/cockpit.nix"
    "${inputs.self}/modules/mizukios/features/system/bluetooth.nix"
    "${inputs.self}/modules/mizukios/features/system/graphics.nix"
    "${inputs.self}/modules/mizukios/features/steam.nix"
    "${inputs.self}/modules/mizukios/features/remote/ssh.nix"
  ];

  catppuccin.flavor = "mocha";

  networking = {
    hostName = "ena";
    networkmanager.enable = true;
    firewall.enable = false;
  };

  services.printing.enable = true;
  services.power-profiles-daemon.enable = true;
  services.asusd.enable = true;
  services.netbird.enable = true;

  systemd.services.asusctl-battery-limit = {
    description = "Set ASUS battery charge limit";
    wantedBy = [ "multi-user.target" ];
    wants = [ "asusd.service" ];
    after = [ "asusd.service" ];
    serviceConfig = {
      Type = "oneshot";
      ExecStart = "${pkgs.asusctl}/bin/asusctl battery limit 95";
      RemainAfterExit = true;
    };
  };

  services.cloudflare-warp.enable = true;

  system.stateVersion = "25.11";
}
